using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Examples.Examples.TreeView;

namespace Examples.TreeView.CS.DataSource.Categories
{
	public class Category
	{
		private string _name;
		private int _id;

		public string Name 
		{ 
			get 
			{ 
				return this._name;
			}
			set
			{
				this._name = value;
			}
		}

		public int Id 
		{
			get
			{
				return this._id;
			}
			set
			{
				this._id = value;
			}
		}

		private ObservableCollection<Products> _products = null;

		public ObservableCollection<Products> Products
		{
			get
			{
				if (this._products == null)
				{
					this._products = new ObservableCollection<Products>();
				}
				return this._products;
			}
		}
	}
}
